- Firms
- Get a firm
Firms
Get a firm
Retrieve a firm and its settings by id.
GET
/v1/firms/{firmId}
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'Authorizations
bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.
Query Parameters
firmId
required
string
Unique identifier of the firm.
x-api-key
required
string
API key of your Client Application.
Response
application/json
200
401
403
404
OK
id
required
string
The unique identifier of the firm (e.g., 550e8400-e29b-41d4-a716-446655440000)
businessId
required
string
User interface friendly identifier (e.g., Example: FM-123456)
name
required
string
The name of the firm
taxpayerId
required
string
The taxpayer ID associated with the firm (e.g., 550e8400-e29b-41d4-a716-446655440000)
settings
required
object
Firm settings and configuration
externalId
string
Optional external identifier for the firm
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'